/*  $Id: TestFileUtils.java 1335 2012-08-25 13:27:49Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2002-2012 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package test;

import java.io.File;

import net.eduvax.util.FileUtils;
import org.junit.*;
import static org.junit.Assert.*;

public class TestFileUtils {
    @Before public void setUp() {
    }
    @After public void tearDown() {
    }
    @Test public void testGetRelativePath() {
        char c=File.separatorChar;
		File f1=new File("src/net/eduvax/utils/test.txt");
		File f2=new File("src/net/eduvax/djin/graph/test2.txt");
		File f3=FileUtils.getRelativePath(f1,f2);
		System.out.println("relative is : "+f3);
        assertEquals(".."+c+"djin"+c+"graph"+c+"test2.txt",""+f3);
    }
}        
